document.addEventListener('DOMContentLoaded', function() {
  const fileInput = document.getElementById('file-input');
  const fileInstructions = document.querySelector('.file-instructions');
  const resultsSection = document.getElementById('results-section');
  const resultsContainer = document.getElementById('results-container');

  fileInstructions.addEventListener('click', () => fileInput.click());

  fileInput.addEventListener('change', function(e) {
    const file = e.target.files[0];
    if (file) {
      processFile(file);
    }
  });

  function processFile(file) {
    const reader = new FileReader();
    reader.onload = function(e) {
      const content = e.target.result;
      displayResults(content);
      resultsSection.classList.remove('hidden');
    };
    reader.readAsText(file);
  }

  function displayResults(content) {
    // Basic example: Display raw content
    // You can enhance this to parse and visualize specific Nuclei output format
    resultsContainer.innerHTML = `<pre>${content}</pre>`;
  }
});